# Pdo\Pgsql::copyToFile

(PHP 8 >= 8.4.0)

Pdo\Pgsql::copyToFile — Copy data from table into file

### 说明

public Pdo\Pgsql::copyToFile(
string `$tableName`,
string `$filename`,
string `$separator` = "\t",
string `$nullAs` = "\\\\N",
?string `$fields` = `null`
): bool

Copies data from table into file specified by `filename` using `separator` as fields delimiter and `fields` list.

### 参数

`tableName`
  String containing table name.
`filename`
  Filename to export data.
`separator`
  Delimiter used to separate fields in an entry of the `rows` array.
`nullAs`
  How to interpret SQL `NULL` values.
`fields`
  List of fields to insert.

### 返回值

成功时返回 `true`， 或者在失败时返回 `false`。

### 参见

- Pdo\Pgsql::copyFromFile() - Copy data from file into table
- Pdo\Pgsql::copyFromArray() - Copy data from a PHP array into a table
- Pdo\Pgsql::copyToArray() - Copy data from database table into PHP array

`↑` and `↓` to navigate • `Enter` to select • `Esc` to close • `/` to open